## sonic-visualiser 3.0.3

=== bqaudioio/Makefile ===

SOURCES	:= $(wildcard src/*.cpp)
HEADERS	:= $(wildcard src/*.h) $(wildcard bqaudioio/*.h)
OBJECTS	:= $(patsubst %.cpp,%.o,$(SOURCES))
LIBRARY	:= libbqaudioio.a

CXXFLAGS := -std=c++11 -I. -I./bqaudioio -I../bqvec -I../bqresample -DHAVE_JACK -DHAVE_LIBPULSE -DHAVE_PORTAUDIO

all:	$(LIBRARY)

$(LIBRARY):	$(OBJECTS)
	ar cr $@ $^

clean:		
	rm -f $(OBJECTS)

distclean:	clean
	rm -f $(LIBRARY)

depend:
	makedepend -Y -fMakefile -I./bqaudioio $(SOURCES) $(HEADERS)


# DO NOT DELETE

src/SystemRecordSource.o: ./bqaudioio/SystemRecordSource.h
src/SystemRecordSource.o: ./bqaudioio/Suspendable.h
src/SystemRecordSource.o: ./bqaudioio/ApplicationRecordTarget.h
src/AudioFactory.o: ./bqaudioio/AudioFactory.h src/JACKAudioIO.h
src/AudioFactory.o: src/PortAudioIO.h src/PulseAudioIO.h
src/SystemPlaybackTarget.o: ./bqaudioio/SystemPlaybackTarget.h
src/SystemPlaybackTarget.o: ./bqaudioio/Suspendable.h
src/ResamplerWrapper.o: ./bqaudioio/ResamplerWrapper.h
src/ResamplerWrapper.o: ./bqaudioio/ApplicationPlaybackSource.h
bqaudioio/SystemPlaybackTarget.o: ./bqaudioio/Suspendable.h
bqaudioio/ResamplerWrapper.o: ./bqaudioio/ApplicationPlaybackSource.h
bqaudioio/SystemAudioIO.o: ./bqaudioio/SystemRecordSource.h
bqaudioio/SystemAudioIO.o: ./bqaudioio/Suspendable.h
bqaudioio/SystemAudioIO.o: ./bqaudioio/SystemPlaybackTarget.h
bqaudioio/SystemRecordSource.o: ./bqaudioio/Suspendable.h

=== bqfft/Makefile ===

# Add to FFT_DEFINES the relevant options for your desired third-party
# library support.
#
# Available options are
#
#  -DHAVE_IPP         Intel's Integrated Performance Primitives are available
#  -DHAVE_VDSP        Apple's Accelerate framework is available
#  -DHAVE_FFTW3       The FFTW library is available
#  -DHAVE_KISSFFT     The KissFFT library is available
#  -DHAVE_MEDIALIB    The Medialib library (from Sun) is available
#  -DHAVE_OPENMAX     The OpenMAX signal processing library is available
#  -DUSE_BUILTIN_FFT  Compile the built-in FFT code (which is very slow)
#
# You may define more than one of these. If you define
# USE_BUILTIN_FFT, the code will be compiled in but will only be used
# if no other option is available. If no flags are supplied, the code
# will refuse to compile.

# WARNING! The default option here is VERY SLOW! Read above for better
# alternatives!
FFT_DEFINES		:= -DUSE_BUILTIN_FFT


# Add to VECTOR_DEFINES and ALLOCATOR_DEFINES any options desired for
# the bqvec library (that are not already defined in FFT_DEFINES).
# See the bqvec build documentation for more details.
#
VECTOR_DEFINES 		:= 
ALLOCATOR_DEFINES 	:= 


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


include build/Makefile.inc

=== bqresample/Makefile ===

# Add to RESAMPLE_DEFINES the relevant options for your desired
# third-party library support.
#
# Available options are
#
#  -DHAVE_IPP            Intel's Integrated Performance Primitives are available
#  -DHAVE_LIBRESAMPLE    The libresample library is available
#  -DHAVE_LIBSAMPLERATE  The libsamplerate library is available
#  -DUSE_SPEEX           Compile the built-in Speex-derived resampler
#
# You may define more than one of these. If you define USE_SPEEX, the
# code will be compiled in and will be used when it is judged to be
# the best available option for a given quality setting. If no flags
# are supplied, the code will refuse to compile.

RESAMPLE_DEFINES	:= -DUSE_SPEEX


# Add to VECTOR_DEFINES and ALLOCATOR_DEFINES any options desired for
# the bqvec library (that are not already defined in RESAMPLE_DEFINES).
# See the bqvec build documentation for more details.
#
VECTOR_DEFINES 		:= 
ALLOCATOR_DEFINES 	:= 


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


include build/Makefile.inc

=== bqvec/Makefile ===

# Add to VECTOR_DEFINES the relevant options for your desired
# third-party library support.
#
# Available options are
#
#  -DHAVE_IPP    Intel's Integrated Performance Primitives are available
#  -DHAVE_VDSP   Apple's Accelerate framework is available
#
# The above are optional (they affect performance, not function) and
# you may define more than one of them.
#
# The following two options trade off speed against precision for single-
# precision paths in cases where IPP and VDSP are not available:
#
#  -DUSE_POMMIER_MATHFUN Use Julien Pommier's SSE/NEON implementation
#   of sincos in 32-bit polar-to-cartesian conversion
#  -DUSE_APPROXIMATE_ATAN2 Use a quick but *very* approximate atan2
#   function in 32-bit cartesian-to-polar conversion
#
# And a handful of miscellaneous flags:
#
#  -DLACK_SINCOS  Math library lacks sincos() function
#  -DNO_COMPLEX_TYPES  Don't bother defining bq_complex_t functions
#  -DUSE_SINGLE_PRECISION_COMPLEX  Use float, not double, for bq_complex_t
#  -DNO_EXCEPTIONS  Don't throw exceptions (abort instead)
#
# Add any relevant -I flags for include paths as well.
#
# Note that you must supply the same flags when including bqvec
# headers later as you are using now when compiling the library. (You
# may find it simplest to just add the bqvec source files to your
# application's build system and not build a bqvec library at all.)

VECTOR_DEFINES		:=


# Add to ALLOCATOR_DEFINES options relating to aligned malloc.
# These are not usually necessary.
#
# Available options are
#
#  -DHAVE_POSIX_MEMALIGN       The posix_memalign call is available in sys/mman.h
#  -DLACK_POSIX_MEMALIGN       The posix_memalign call is not available
#
#  -DMALLOC_IS_ALIGNED         The malloc call already returns aligned memory
#  -DMALLOC_IS_NOT_ALIGNED     The malloc call does not return aligned memory
#
#  -DUSE_OWN_ALIGNED_MALLOC    If no aligned malloc is available, roll your own
#  -DAVOID_OWN_ALIGNED_MALLOC  If no aligned malloc is available, refuse to build
#
#  -DLACK_BAD_ALLOC            The C++ library lacks the std::bad_alloc exception
#
# Here "aligned" is assumed to mean "aligned enough for whatever
# vector stuff the space will be used for" which likely means at least
# 16-byte alignment.
#
# If no options are provided, we will use IPP functions if HAVE_IPP is
# defined, or else use _aligned_malloc when building with Visual C++
# on Windows, roll our own when building with some other compiler on
# Windows, use system malloc when building on OS/X, and use
# posix_memalign elsewhere.
#
# Note that you must supply the same flags when including bqvec
# headers later as you are using now when compiling the library. (You
# may find it simplest to just add the bqvec source files to your
# application's build system and not build a bqvec library at all.)

ALLOCATOR_DEFINES 	:= 


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


include build/Makefile.inc

=== piper-cpp/Makefile ===

VAMPSDK_DIR	:= ../vamp-plugin-sdk
PIPER_DIR	:= ../piper

INCFLAGS	:= -Iext -I$(VAMPSDK_DIR) -I. -I/usr/local/include
CXXFLAGS	:= -Wall -Wextra -Werror -g3 -std=c++11 $(INCFLAGS)

#LDFLAGS		:= -L$(VAMPSDK_DIR) -L/usr/local/lib -lvamp-hostsdk -lcapnp -lkj 
LDFLAGS		:= $(VAMPSDK_DIR)/libvamp-hostsdk.a -lcapnp -lkj 

LDFLAGS		+= -ldl

COMMON_OBJS	:= ext/json11/json11.o vamp-capnp/piper.capnp.o

TEST_SRCS 	:= test/main.cpp test/vamp-client/tst_PluginStub.cpp
TEST_OBJS	:= $(TEST_SRCS:.cpp=.o)

all:	bin bin/piper-convert bin/piper-vamp-simple-server bin/test-suite

bin:
	mkdir bin

bin/piper-convert: vamp-server/convert.o $(COMMON_OBJS)
	c++ $(CXXFLAGS) $^ -o $@ $(LDFLAGS)

bin/piper-vamp-simple-server: vamp-server/simple-server.o $(COMMON_OBJS)
	c++ $(CXXFLAGS) $^ -o $@ $(LDFLAGS)

bin/test-suite: $(TEST_OBJS)
	c++ $(CXXFLAGS) $^ -o $@ $(LDFLAGS)
	bin/test-suite

vamp-capnp/piper.capnp.o:	vamp-capnp/piper.capnp.c++
	c++ $(CXXFLAGS) $(INCFLAGS) -c $< -o $@

vamp-capnp/piper.capnp.h:	vamp-capnp/piper.capnp.c++

vamp-capnp/piper.capnp.c++: $(PIPER_DIR)/capnp/piper.capnp
	capnpc --src-prefix=$(PIPER_DIR)/capnp -oc++:vamp-capnp $<

test:	all
	bin/test-suite -s -d yes
	vamp-server/test.sh

clean:
	rm -f */*.o

distclean:	clean
	rm -rf bin/*

depend:
	makedepend -Y. */*.cpp */*/*.cpp */*/*/*.cpp */*.c++

# cancel implicit rule which otherwise could try to link %.capnp
%:	%.o

# DO NOT DELETE

vamp-capnp/piper-capnp.o: vamp-capnp/piper.capnp.c++ vamp-capnp/piper.capnp.h
vamp-server/convert.o: vamp-json/VampJson.h vamp-support/PluginStaticData.h
vamp-server/convert.o: vamp-support/PluginConfiguration.h
vamp-server/convert.o: vamp-support/RequestResponse.h
vamp-server/convert.o: vamp-support/PluginStaticData.h
vamp-server/convert.o: vamp-support/PluginConfiguration.h
vamp-server/convert.o: vamp-support/PluginHandleMapper.h
vamp-server/convert.o: vamp-support/PluginOutputIdMapper.h
vamp-server/convert.o: vamp-support/PluginOutputIdMapper.h
vamp-server/convert.o: vamp-support/RequestResponseType.h
vamp-server/convert.o: vamp-capnp/VampnProto.h vamp-capnp/piper.capnp.h
vamp-server/convert.o: vamp-support/RequestOrResponse.h
vamp-server/convert.o: vamp-support/RequestResponseType.h
vamp-server/convert.o: vamp-support/RequestResponse.h
vamp-server/convert.o: vamp-support/PreservingPluginHandleMapper.h
vamp-server/convert.o: vamp-support/PluginHandleMapper.h
vamp-server/convert.o: vamp-support/PreservingPluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-json/VampJson.h
vamp-server/simple-server.o: vamp-support/PluginStaticData.h
vamp-server/simple-server.o: vamp-support/PluginConfiguration.h
vamp-server/simple-server.o: vamp-support/RequestResponse.h
vamp-server/simple-server.o: vamp-support/PluginStaticData.h
vamp-server/simple-server.o: vamp-support/PluginConfiguration.h
vamp-server/simple-server.o: vamp-support/PluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/PluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-support/PluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-support/RequestResponseType.h
vamp-server/simple-server.o: vamp-capnp/VampnProto.h vamp-capnp/piper.capnp.h
vamp-server/simple-server.o: vamp-support/RequestOrResponse.h
vamp-server/simple-server.o: vamp-support/RequestResponseType.h
vamp-server/simple-server.o: vamp-support/RequestResponse.h
vamp-server/simple-server.o: vamp-support/CountingPluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/PluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/AssignedPluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/DefaultPluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-support/LoaderRequests.h
ext/json11/json11.o: ext/json11/json11.hpp
ext/json11/test.o: ext/json11/json11.hpp
test/vamp-client/tst_PluginStub.o: vamp-client/Loader.h
test/vamp-client/tst_PluginStub.o: vamp-support/RequestResponse.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginStaticData.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginConfiguration.h
test/vamp-client/tst_PluginStub.o: vamp-client/PluginClient.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginConfiguration.h
test/vamp-client/tst_PluginStub.o: vamp-client/PiperVampPlugin.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginStaticData.h
test/vamp-client/tst_PluginStub.o: vamp-client/PluginClient.h
vamp-client/qt/test.o: vamp-client/qt/ProcessQtTransport.h
vamp-client/qt/test.o: vamp-client/SynchronousTransport.h
vamp-client/qt/test.o: vamp-client/Exceptions.h
vamp-client/qt/test.o: vamp-client/qt/PiperAutoPlugin.h
vamp-client/qt/test.o: vamp-client/CapnpRRClient.h vamp-client/Loader.h
vamp-client/qt/test.o: vamp-support/RequestResponse.h
vamp-client/qt/test.o: vamp-support/PluginStaticData.h
vamp-client/qt/test.o: vamp-support/PluginConfiguration.h
vamp-client/qt/test.o: vamp-client/PluginClient.h
vamp-client/qt/test.o: vamp-client/PiperVampPlugin.h
vamp-client/qt/test.o: vamp-support/PluginStaticData.h
vamp-client/qt/test.o: vamp-support/PluginConfiguration.h
vamp-client/qt/test.o: vamp-client/SynchronousTransport.h
vamp-client/qt/test.o: vamp-support/AssignedPluginHandleMapper.h
vamp-client/qt/test.o: vamp-support/PluginHandleMapper.h
vamp-client/qt/test.o: vamp-support/PluginOutputIdMapper.h
vamp-client/qt/test.o: vamp-support/DefaultPluginOutputIdMapper.h
vamp-client/qt/test.o: vamp-capnp/VampnProto.h vamp-capnp/piper.capnp.h
vamp-client/qt/test.o: vamp-support/PluginHandleMapper.h
vamp-client/qt/test.o: vamp-support/PluginOutputIdMapper.h
vamp-client/qt/test.o: vamp-support/RequestResponseType.h
vamp-capnp/piper.capnp.o: vamp-capnp/piper.capnp.h

## sonic-visualiser 2.0

=== debian/changelog ===
sonic-visualiser (2.0-1) unstable; urgency=low

  * Initial packaging (Closes: #520230).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Oct 2012 15:32:00 +0200

=== debian/control ===
Source: sonic-visualiser
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libbz2-dev,
 libdataquay-dev,
 libfftw3-dev,
 libfishsound1-dev,
 libid3tag0-dev,
 libjack-dev,
 liblo-dev,
 liblrdf0-dev,
 libmad0-dev,
 liboggz2-dev,
 libpulse-dev,
 libqt4-dev,
 librdf0-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 portaudio19-dev,
 vamp-plugin-sdk
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://www.sonicvisualiser.org
Vcs-Git: git://git.debian.org/pkg-multimedia/sonic-visualiser.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/sonic-visualiser.git

Package: sonic-visualiser
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: viewing and analysing the contents of music audio files
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.

Package: sonic-visualiser-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 sonic-visualiser (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for sonic-visualiser
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.
 .
 This package provides the debugging symbols for sonic-visualiser.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS+=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS+=$(shell dpkg-buildflags --get CPPFLAGS)

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs sonic-visualiser/CHANGELOG

override_dh_auto_configure:
	dh_auto_configure

	perl -i -pe 's,-I/usr/include/FLAC,,' sonic-visualiser/Makefile
	perl -i -pe 's,-I/usr/include/FLAC,,' svapp/Makefile
	perl -i -pe 's,-I/usr/include/FLAC,,' svcore/Makefile
	perl -i -pe 's,-I/usr/include/FLAC,,' svgui/Makefile

override_dh_auto_build:
	$(MAKE) -C svcore
	$(MAKE) -C svgui
	$(MAKE) -C svapp
	$(MAKE) -C sonic-visualiser

override_dh_strip:
	dh_strip --dbg-package=sonic-visualiser-dbg

=== debian/watch ===
version=3

http://code.soundsoftware.ac.uk/projects/sonic-visualiser/files \
	/attachments/download/\d+/sonic-visualiser-(.*)\.tar\.gz

## sonic-visualiser 2.1

=== debian/changelog ===
sonic-visualiser (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #707884).
  * Refreshed patch.
  * Set build dependency vamp-plugin-sdk (>= 2.5).
  * Added libsord-dev as build dependency.
  * Fix VCS canonical URLs.
  * Bump standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 02 Jun 2013 16:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -26,12 +26,12 @@
  libsndfile1-dev,
  libx11-dev,
  portaudio19-dev,
- vamp-plugin-sdk
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+ vamp-plugin-sdk (>= 2.5),
+ libsord-dev
+Standards-Version: 3.9.4
 Homepage: http://www.sonicvisualiser.org
-Vcs-Git: git://git.debian.org/pkg-multimedia/sonic-visualiser.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/sonic-visualiser.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sonic-visualiser.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sonic-visualiser.git
 
 Package: sonic-visualiser
 Architecture: any

## sonic-visualiser 2.2~repack1

=== debian/changelog ===
sonic-visualiser (2.2~repack1-1) unstable; urgency=low

  * New upstream release.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 07:20:50 +0200

## sonic-visualiser 2.3~repack1

=== debian/changelog ===
sonic-visualiser (2.3~repack1-3) unstable; urgency=medium

  * Team upload.
  * Do not install x-sonicvisualiser*.desktop files.
    (Closes: #725049, LP: #1161283, #1255469)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 01 Apr 2014 11:52:13 +0200

sonic-visualiser (2.3~repack1-2) unstable; urgency=low

  * Fix desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Jan 2014 00:55:45 +0100

sonic-visualiser (2.3~repack1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Add %U on the end of Exec= line in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 12 Jan 2014 11:09:52 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
  libsord-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.sonicvisualiser.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sonic-visualiser.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sonic-visualiser.git

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,12 @@
 	dh $@
 
 override_dh_installchangelogs:
-	dh_installchangelogs sonic-visualiser/CHANGELOG
+	dh_installchangelogs CHANGELOG
 
 override_dh_auto_configure:
 	dh_auto_configure
 
-	perl -i -pe 's,-I/usr/include/FLAC,,' sonic-visualiser/Makefile
+	perl -i -pe 's,-I/usr/include/FLAC,,' Makefile
 	perl -i -pe 's,-I/usr/include/FLAC,,' svapp/Makefile
 	perl -i -pe 's,-I/usr/include/FLAC,,' svcore/Makefile
 	perl -i -pe 's,-I/usr/include/FLAC,,' svgui/Makefile
@@ -24,7 +24,7 @@
 	$(MAKE) -C svcore
 	$(MAKE) -C svgui
 	$(MAKE) -C svapp
-	$(MAKE) -C sonic-visualiser
+	$(MAKE)
 
 override_dh_strip:
 	dh_strip --dbg-package=sonic-visualiser-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
http://code.soundsoftware.ac.uk/projects/sonic-visualiser/files \
	/attachments/download/\d+/sonic-visualiser-(.*)\.tar\.gz \
	debian sh debian/repack.stub

## sonic-visualiser 2.4.1~repack1

=== debian/changelog ===
sonic-visualiser (2.4.1~repack1-2build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:09:00 +0000

sonic-visualiser (2.4.1~repack1-2) unstable; urgency=low

  * Don't build against internal dataquay.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 07 Oct 2014 10:10:03 +0200

sonic-visualiser (2.4.1~repack1-1) unstable; urgency=low

  * Imported Upstream version 2.4.1~repack1
  * Build with qt5.
  * Build with dh parallel.
  * Dropped desktop patch - applied upstream.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Oct 2014 20:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libbz2-dev,
- libdataquay-dev,
+ libdataquay-dev (>= 0.9-3),
  libfftw3-dev,
  libfishsound1-dev,
  libid3tag0-dev,
@@ -18,7 +19,9 @@
  libmad0-dev,
  liboggz2-dev,
  libpulse-dev,
- libqt4-dev,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  librdf0-dev,
  librubberband-dev,
  libsamplerate0-dev,
@@ -28,7 +31,7 @@
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
  libsord-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.sonicvisualiser.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sonic-visualiser.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sonic-visualiser.git

## sonic-visualiser 2.5~repack1

=== debian/changelog ===
sonic-visualiser (2.5~repack1-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 20:44:59 +0100

sonic-visualiser (2.5~repack1-3) unstable; urgency=medium

  * Drop dbg package in favour of dbgsym.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2016 13:25:46 +0200

sonic-visualiser (2.5~repack1-2) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Fix watch file.
  * Tune .gitignore file.
  * Update copyright file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2016 11:32:55 +0200

sonic-visualiser (2.5~repack1-1) unstable; urgency=medium

  * Imported Upstream version 2.5~repack1
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Oct 2015 14:03:45 +0100

=== debian/control ===
Source: sonic-visualiser
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 libbz2-dev,
 libdataquay-dev (>= 0.9-3),
 libfftw3-dev,
 libfishsound1-dev,
 libid3tag0-dev,
 libjack-dev,
 liblo-dev,
 liblrdf0-dev,
 libmad0-dev,
 liboggz2-dev,
 libpulse-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 librdf0-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 portaudio19-dev,
 vamp-plugin-sdk (>= 2.5),
 libsord-dev
Standards-Version: 3.9.8
Homepage: http://www.sonicvisualiser.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sonic-visualiser.git

Package: sonic-visualiser
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: viewing and analysing the contents of music audio files
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,18 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~repack1
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 LDFLAGS+=$(shell dpkg-buildflags --get LDFLAGS)
 CXXFLAGS+=$(shell dpkg-buildflags --get CXXFLAGS)
 CXXFLAGS+=$(shell dpkg-buildflags --get CPPFLAGS)
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export QT_SELECT := qt5
 
 %:
 	dh $@
@@ -26,6 +34,14 @@
 	$(MAKE) -C svapp
 	$(MAKE)
 
-override_dh_strip:
-	dh_strip --dbg-package=sonic-visualiser-dbg
-
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	rm $(pkg)-$(dfsg_version)/.hg*
+	rm $(pkg)-$(dfsg_version)/*/.hg*
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
+	xz -zf $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.gz ../$(pkg)_$(upstream_version).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
http://code.soundsoftware.ac.uk/projects/sonic-visualiser/files \
	/attachments/download/\d+/sonic-visualiser-([\d.]+)\.tar\.gz

## sonic-visualiser 3.0.3

=== debian/changelog ===
sonic-visualiser (3.0.3-4) unstable; urgency=medium

  * Fixed typos in helper paths (Closes: #888425)
  * New maintainer address <debian-multimedia@lists.d.o>
  * Bumped debhelper compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Jan 2018 22:14:19 +0100

sonic-visualiser (3.0.3-3) unstable; urgency=medium

  * Fixed test-suite patch for arm64

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 13:46:00 +0100

sonic-visualiser (3.0.3-2) unstable; urgency=medium

  * Patch to make test-suite more tolerant on exotic archs (Closes: #882178)
  * Force pristine-tar compression to "gz"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 00:00:33 +0100

sonic-visualiser (3.0.3-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Reimport upstream as version 3.0.3
    - There's really no need to repack
  * Install helpers in /usr/lib/sonic-visualiser/
  * Install light icon
  * Fixed exporting of CXXFLAGS/LDFLAGS
  * Use "-ffloat-store" on i386.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #878329)
  * Add CITATION to the docs
  * Update URL to online-documentation in manpage
  * Put sonic-visualiser to top of d/install
  * Get rid for "get-orig-source" target
  * Switch d/watch to https://
  * Add Debian copyright holders to d/copyright

  [ Jaromír Mikeš ]
  * Update copyright file.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Renumber patches.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 13 Oct 2017 23:13:55 +0200

sonic-visualiser (3.0.3~repack1-1) unstable; urgency=medium

  * New upstream version 3.0.3~repack1

  [ Jaromír Mikeš ]
  * Update copyright.
  * Update Vcs - use git instead of cgit.
  * Add libcapnp-dev as B-D.
  * Patch refreshed.
  * Bump Standards.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Added more qt-dependencies
  * Removed outdated tweaks to build sv* modules
  * Added missing-source for piper.capnp
    * Re-build piper.capnp from source
  * Fixed test suite
    * export UTF-8 locales so the tests can succeed
    * provide a HOME-directory for running the tests
  * Document DH_VERBOSE in d/rules
  * Updated d/copyright
    * Added rule to run licensecheck
    * Added d/copyright_hints for easier license checking
    * Added myself to copyright holders
  * Added myself to uploaders
  * Bumped Standards to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Oct 2017 23:19:47 +0200

=== debian/control ===
Source: sonic-visualiser
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 11),
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libbz2-dev,
 capnproto,
 libcapnp-dev (>= 0.6.0),
 libdataquay-dev (>= 0.9-3),
 libfftw3-dev,
 libfishsound1-dev,
 libid3tag0-dev,
 libjack-dev,
 liblo-dev,
 liblrdf0-dev,
 libmad0-dev,
 liboggz2-dev,
 libpulse-dev,
 librdf0-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsm-dev,
 libsndfile1-dev,
 libsord-dev,
 libx11-dev,
 portaudio19-dev,
 vamp-plugin-sdk (>= 2.5),
Standards-Version: 4.1.3
Homepage: http://www.sonicvisualiser.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git

Package: sonic-visualiser
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: viewing and analysing the contents of music audio files
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export HOME=$(CURDIR)/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CXXFLAGS_MAINT_APPEND=
DEB_LDFLAGS_MAINT_APPEND=
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
endif
DEB_LDFLAGS_MAINT_APPEND+= -Wl,--as-needed

export DEB_CXXFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND

export QT_SELECT := qt5

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(CURDIR)/tmp
	cp $(CURDIR)/debian/missing-sources/piper.capnp \
		$(CURDIR)/piper-cpp/vamp-capnp
	capnp compile -o c++ $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp
	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.c++
	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.h
	rm -rf $(CURDIR)/tmp

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## sonic-visualiser 3.1.1

=== piper-cpp/Makefile ===
--- 
+++ 
@@ -2,15 +2,18 @@
 VAMPSDK_DIR	:= ../vamp-plugin-sdk
 PIPER_DIR	:= ../piper
 
-INCFLAGS	:= -Iext -I$(VAMPSDK_DIR) -I. -I/usr/local/include
-CXXFLAGS	:= -Wall -Wextra -Werror -g3 -std=c++11 $(INCFLAGS)
+INCFLAGS	:= -Iext -Iext/sord -Iext/serd -I$(VAMPSDK_DIR) -I. -I/usr/local/include
 
-#LDFLAGS		:= -L$(VAMPSDK_DIR) -L/usr/local/lib -lvamp-hostsdk -lcapnp -lkj 
-LDFLAGS		:= $(VAMPSDK_DIR)/libvamp-hostsdk.a -lcapnp -lkj 
+OPTFLAGS	:= -O3 -fPIC
+
+CFLAGS		:= -Wall -std=c99 $(OPTFLAGS) $(INCFLAGS)
+CXXFLAGS	:= -Wall -Wextra -Werror -Wno-error=unused-parameter -std=c++11 $(OPTFLAGS) $(INCFLAGS)
+
+LDFLAGS		:= $(VAMPSDK_DIR)/libvamp-hostsdk.a -L/usr/local/lib -lcapnp -lkj 
 
 LDFLAGS		+= -ldl
 
-COMMON_OBJS	:= ext/json11/json11.o vamp-capnp/piper.capnp.o
+COMMON_OBJS	:= ext/json11/json11.o ext/sord/sord-single.o vamp-capnp/piper.capnp.o
 
 TEST_SRCS 	:= test/main.cpp test/vamp-client/tst_PluginStub.cpp
 TEST_OBJS	:= $(TEST_SRCS:.cpp=.o)
@@ -33,9 +36,9 @@
 vamp-capnp/piper.capnp.o:	vamp-capnp/piper.capnp.c++
 	c++ $(CXXFLAGS) $(INCFLAGS) -c $< -o $@
 
-vamp-capnp/piper.capnp.h:	vamp-capnp/piper.capnp.c++
+vamp-capnp/piper.capnp.c++:	vamp-capnp/piper.capnp.h
 
-vamp-capnp/piper.capnp.c++: $(PIPER_DIR)/capnp/piper.capnp
+vamp-capnp/piper.capnp.h: $(PIPER_DIR)/capnp/piper.capnp
 	capnpc --src-prefix=$(PIPER_DIR)/capnp -oc++:vamp-capnp $<
 
 test:	all
@@ -43,7 +46,7 @@
 	vamp-server/test.sh
 
 clean:
-	rm -f */*.o
+	rm -f */*.o */*/*.o
 
 distclean:	clean
 	rm -rf bin/*
@@ -57,7 +60,10 @@
 # DO NOT DELETE
 
 vamp-capnp/piper-capnp.o: vamp-capnp/piper.capnp.c++ vamp-capnp/piper.capnp.h
-vamp-server/convert.o: vamp-json/VampJson.h vamp-support/PluginStaticData.h
+vamp-server/convert.o: vamp-json/VampJson.h
+vamp-server/convert.o: vamp-support/StaticOutputDescriptor.h
+vamp-server/convert.o: vamp-support/PluginStaticData.h
+vamp-server/convert.o: vamp-support/StaticOutputDescriptor.h
 vamp-server/convert.o: vamp-support/PluginConfiguration.h
 vamp-server/convert.o: vamp-support/RequestResponse.h
 vamp-server/convert.o: vamp-support/PluginStaticData.h
@@ -74,7 +80,9 @@
 vamp-server/convert.o: vamp-support/PluginHandleMapper.h
 vamp-server/convert.o: vamp-support/PreservingPluginOutputIdMapper.h
 vamp-server/simple-server.o: vamp-json/VampJson.h
+vamp-server/simple-server.o: vamp-support/StaticOutputDescriptor.h
 vamp-server/simple-server.o: vamp-support/PluginStaticData.h
+vamp-server/simple-server.o: vamp-support/StaticOutputDescriptor.h
 vamp-server/simple-server.o: vamp-support/PluginConfiguration.h
 vamp-server/simple-server.o: vamp-support/RequestResponse.h
 vamp-server/simple-server.o: vamp-support/PluginStaticData.h
@@ -92,6 +100,7 @@
 vamp-server/simple-server.o: vamp-support/AssignedPluginHandleMapper.h
 vamp-server/simple-server.o: vamp-support/DefaultPluginOutputIdMapper.h
 vamp-server/simple-server.o: vamp-support/LoaderRequests.h
+vamp-server/simple-server.o: vamp-support/StaticOutputRdf.h
 ext/json11/json11.o: ext/json11/json11.hpp
 ext/json11/test.o: ext/json11/json11.hpp
 test/vamp-client/tst_PluginStub.o: vamp-client/Loader.h
@@ -102,6 +111,7 @@
 test/vamp-client/tst_PluginStub.o: vamp-support/PluginConfiguration.h
 test/vamp-client/tst_PluginStub.o: vamp-client/PiperVampPlugin.h
 test/vamp-client/tst_PluginStub.o: vamp-support/PluginStaticData.h
+test/vamp-client/tst_PluginStub.o: vamp-support/StaticOutputDescriptor.h
 test/vamp-client/tst_PluginStub.o: vamp-client/PluginClient.h
 vamp-client/qt/test.o: vamp-client/qt/ProcessQtTransport.h
 vamp-client/qt/test.o: vamp-client/SynchronousTransport.h
@@ -114,6 +124,7 @@
 vamp-client/qt/test.o: vamp-client/PluginClient.h
 vamp-client/qt/test.o: vamp-client/PiperVampPlugin.h
 vamp-client/qt/test.o: vamp-support/PluginStaticData.h
+vamp-client/qt/test.o: vamp-support/StaticOutputDescriptor.h
 vamp-client/qt/test.o: vamp-support/PluginConfiguration.h
 vamp-client/qt/test.o: vamp-client/SynchronousTransport.h
 vamp-client/qt/test.o: vamp-support/AssignedPluginHandleMapper.h

=== debian/changelog ===
sonic-visualiser (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1

  * Fixed QT_SELECT
  * Made qmake install into DESTDIR by overriding INSTALL_ROOT
  * Prevent helpers from getting installed into /usr/bin
  * Updated d/copyright
    * Regenerated d/copyright_hints
    * Added copyright-holders for translations
  * Bumped standards version to 4.2.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 21 Aug 2018 22:37:33 +0200

sonic-visualiser (3.1-1) unstable; urgency=medium

  * New upstream version 3.1

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch for cross-compilation.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #900913)
  * Switched upstream URLs to https://
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Jul 2018 17:16:09 +0200

=== debian/control ===
--- 
+++ 
@@ -35,10 +35,10 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.1.3
-Homepage: http://www.sonicvisualiser.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git
+Standards-Version: 4.2.0
+Homepage: https://www.sonicvisualiser.org
+Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/sonic-visualiser
 
 Package: sonic-visualiser
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
 
-export QT_SELECT := qt5
+export QT_SELECT=qt5
 
 %:
 	dh $@
@@ -37,6 +37,12 @@
 	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.h
 	rm -rf $(CURDIR)/tmp
 
+override_dh_auto_install:
+	dh_auto_install -- \
+		INSTALL_ROOT='$$(DESTDIR)' \
+		$(empty)
+	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -delete
+
 licensecheck:
 	licensecheck --deb-machine -r * \
 		> debian/copyright_newhints

## sonic-visualiser 3.2.1

=== debian/changelog ===
sonic-visualiser (3.2.1-1build1) disco; urgency=medium

  * No-change rebuild against libcapnp-0.7.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 00:32:04 +0000

sonic-visualiser (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

  * Added patch to honour DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #918718)
  * Don't install compiled tests into /usr/tests/

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Jan 2019 12:23:33 +0100

sonic-visualiser (3.2-1) unstable; urgency=medium

  * New upstream version 3.2

  [ Olivier Humbert ]
  * Adds a manpage in French
  * Installs the French manpage

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Refreshed debian/copyright(_hints)
  * Enforce C++-14 (Closes: #917690)
  * Bumped standard version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 06 Jan 2019 14:08:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -35,7 +36,7 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sonic-visualiser

## sonic-visualiser 3.2.1.1+rb2

=== debian/changelog ===
sonic-visualiser (3.2.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Wed, 27 Jan 2021 14:27:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,

## sonic-visualiser 3.3

=== bqaudiostream/Makefile ===

SOURCES	:= src/AudioReadStream.cpp src/AudioReadStreamFactory.cpp src/AudioWriteStreamFactory.cpp src/AudioStreamExceptions.cpp
HEADERS	:= $(wildcard src/*.h) $(wildcard bqaudiostream/*.h)
OBJECTS	:= $(patsubst %.cpp,%.o,$(SOURCES))
LIBRARY	:= libbqaudiostream.a

CXXFLAGS := -std=c++98 -DHAVE_LIBSNDFILE -DHAVE_OGGZ -DHAVE_FISHSOUND -I../bqvec -I../bqthingfactory -I../bqresample -I./bqaudiostream -fpic

all:	$(LIBRARY)

$(LIBRARY):	$(OBJECTS)
	ar cr $@ $^

clean:		
	rm -f $(OBJECTS)

distclean:	clean
	rm -f $(LIBRARY)

depend:
	makedepend -Y -fMakefile -I./bqaudiostream $(SOURCES) $(HEADERS)


# DO NOT DELETE

src/AudioReadStream.o: ./bqaudiostream/AudioReadStream.h
src/AudioReadStreamFactory.o: ./bqaudiostream/AudioReadStreamFactory.h
src/AudioReadStreamFactory.o: ./bqaudiostream/AudioReadStream.h
src/AudioReadStreamFactory.o: ./bqaudiostream/Exceptions.h
src/AudioReadStreamFactory.o: src/WavFileReadStream.cpp
src/AudioReadStreamFactory.o: src/OggVorbisReadStream.cpp
src/AudioReadStreamFactory.o: src/MediaFoundationReadStream.cpp
src/AudioReadStreamFactory.o: src/CoreAudioReadStream.cpp
src/AudioWriteStreamFactory.o: ./bqaudiostream/AudioWriteStreamFactory.h
src/AudioWriteStreamFactory.o: ./bqaudiostream/AudioWriteStream.h
src/AudioWriteStreamFactory.o: ./bqaudiostream/Exceptions.h
src/AudioWriteStreamFactory.o: ./bqaudiostream/AudioReadStreamFactory.h
src/AudioWriteStreamFactory.o: src/WavFileWriteStream.cpp
src/AudioWriteStreamFactory.o: src/SimpleWavFileWriteStream.cpp
src/AudioWriteStreamFactory.o: src/SimpleWavFileWriteStream.h
src/AudioWriteStreamFactory.o: src/CoreAudioWriteStream.cpp
src/AudioWriteStreamFactory.o: src/CoreAudioWriteStream.h
src/Exceptions.o: ./bqaudiostream/Exceptions.h
src/MediaFoundationReadStream.o: ./bqaudiostream/AudioReadStream.h
src/WavFileWriteStream.o: ./bqaudiostream/AudioWriteStream.h
src/SimpleWavFileWriteStream.o: ./bqaudiostream/AudioWriteStream.h
src/WavFileReadStream.o: ./bqaudiostream/AudioReadStream.h
src/CoreAudioWriteStream.o: ./bqaudiostream/AudioWriteStream.h
src/CoreAudioReadStream.o: ./bqaudiostream/AudioReadStream.h
src/OggVorbisReadStream.o: ./bqaudiostream/AudioReadStream.h

=== piper-vamp-cpp/Makefile ===

VAMPSDK_DIR	:= ../vamp-plugin-sdk
PIPER_DIR	:= ../piper

INCFLAGS	:= -Iext -Iext/sord -Iext/serd -I$(VAMPSDK_DIR) -I. -I/usr/local/include

OPTFLAGS	:= -O3 -fPIC

CFLAGS		:= -Wall -std=c99 $(OPTFLAGS) $(INCFLAGS)
CXXFLAGS	:= -Wall -Wextra -Werror -Wno-error=unused-parameter -std=c++1y $(OPTFLAGS) $(INCFLAGS)

CXX		?= c++

LDFLAGS		:= $(VAMPSDK_DIR)/libvamp-hostsdk.a -L/usr/local/lib -lcapnp -lkj 

LDFLAGS		+= -ldl

COMMON_OBJS	:= ext/json11/json11.o ext/sord/sord-single.o vamp-capnp/piper.capnp.o

TEST_SRCS 	:= test/main.cpp test/vamp-client/tst_PluginStub.cpp
TEST_OBJS	:= $(TEST_SRCS:.cpp=.o)

all:	bin bin/piper-convert bin/piper-vamp-simple-server bin/test-suite

bin:
	mkdir bin

bin/piper-convert: vamp-server/convert.o $(COMMON_OBJS)
	$(CXX) $(CXXFLAGS) $^ -o $@ $(LDFLAGS)

bin/piper-vamp-simple-server: vamp-server/simple-server.o $(COMMON_OBJS)
	$(CXX) $(CXXFLAGS) $^ -o $@ $(LDFLAGS)

bin/test-suite: $(TEST_OBJS)
	$(CXX) $(CXXFLAGS) $^ -o $@ $(LDFLAGS)
	bin/test-suite

vamp-capnp/piper.capnp.o:	vamp-capnp/piper.capnp.c++
	$(CXX) $(CXXFLAGS) $(INCFLAGS) -c $< -o $@

vamp-capnp/piper.capnp.c++:	vamp-capnp/piper.capnp.h

vamp-capnp/piper.capnp.h: $(PIPER_DIR)/capnp/piper.capnp
	capnpc --src-prefix=$(PIPER_DIR)/capnp -oc++:vamp-capnp $<

test:	all
	bin/test-suite -s -d yes
	vamp-server/test.sh

clean:
	rm -f */*.o */*/*.o

distclean:	clean
	rm -rf bin/*

depend:
	makedepend -Y. */*.cpp */*/*.cpp */*/*/*.cpp */*.c++

# cancel implicit rule which otherwise could try to link %.capnp
%:	%.o

# DO NOT DELETE

vamp-capnp/piper-capnp.o: vamp-capnp/piper.capnp.c++ vamp-capnp/piper.capnp.h
vamp-server/convert.o: vamp-json/VampJson.h
vamp-server/convert.o: vamp-support/StaticOutputDescriptor.h
vamp-server/convert.o: vamp-support/PluginStaticData.h
vamp-server/convert.o: vamp-support/StaticOutputDescriptor.h
vamp-server/convert.o: vamp-support/PluginConfiguration.h
vamp-server/convert.o: vamp-support/RequestResponse.h
vamp-server/convert.o: vamp-support/PluginStaticData.h
vamp-server/convert.o: vamp-support/PluginConfiguration.h
vamp-server/convert.o: vamp-support/PluginHandleMapper.h
vamp-server/convert.o: vamp-support/PluginOutputIdMapper.h
vamp-server/convert.o: vamp-support/PluginOutputIdMapper.h
vamp-server/convert.o: vamp-support/RequestResponseType.h
vamp-server/convert.o: vamp-capnp/VampnProto.h vamp-capnp/piper.capnp.h
vamp-server/convert.o: vamp-support/RequestOrResponse.h
vamp-server/convert.o: vamp-support/RequestResponseType.h
vamp-server/convert.o: vamp-support/RequestResponse.h
vamp-server/convert.o: vamp-support/PreservingPluginHandleMapper.h
vamp-server/convert.o: vamp-support/PluginHandleMapper.h
vamp-server/convert.o: vamp-support/PreservingPluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-json/VampJson.h
vamp-server/simple-server.o: vamp-support/StaticOutputDescriptor.h
vamp-server/simple-server.o: vamp-support/PluginStaticData.h
vamp-server/simple-server.o: vamp-support/StaticOutputDescriptor.h
vamp-server/simple-server.o: vamp-support/PluginConfiguration.h
vamp-server/simple-server.o: vamp-support/RequestResponse.h
vamp-server/simple-server.o: vamp-support/PluginStaticData.h
vamp-server/simple-server.o: vamp-support/PluginConfiguration.h
vamp-server/simple-server.o: vamp-support/PluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/PluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-support/PluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-support/RequestResponseType.h
vamp-server/simple-server.o: vamp-capnp/VampnProto.h vamp-capnp/piper.capnp.h
vamp-server/simple-server.o: vamp-support/RequestOrResponse.h
vamp-server/simple-server.o: vamp-support/RequestResponseType.h
vamp-server/simple-server.o: vamp-support/RequestResponse.h
vamp-server/simple-server.o: vamp-support/CountingPluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/PluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/AssignedPluginHandleMapper.h
vamp-server/simple-server.o: vamp-support/DefaultPluginOutputIdMapper.h
vamp-server/simple-server.o: vamp-support/LoaderRequests.h
vamp-server/simple-server.o: vamp-support/StaticOutputRdf.h
ext/json11/json11.o: ext/json11/json11.hpp
ext/json11/test.o: ext/json11/json11.hpp
test/vamp-client/tst_PluginStub.o: vamp-client/Loader.h
test/vamp-client/tst_PluginStub.o: vamp-support/RequestResponse.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginStaticData.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginConfiguration.h
test/vamp-client/tst_PluginStub.o: vamp-client/PluginClient.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginConfiguration.h
test/vamp-client/tst_PluginStub.o: vamp-client/PiperVampPlugin.h
test/vamp-client/tst_PluginStub.o: vamp-support/PluginStaticData.h
test/vamp-client/tst_PluginStub.o: vamp-support/StaticOutputDescriptor.h
test/vamp-client/tst_PluginStub.o: vamp-client/PluginClient.h
vamp-client/qt/test.o: vamp-client/qt/ProcessQtTransport.h
vamp-client/qt/test.o: vamp-client/SynchronousTransport.h
vamp-client/qt/test.o: vamp-client/Exceptions.h
vamp-client/qt/test.o: vamp-client/qt/PiperAutoPlugin.h
vamp-client/qt/test.o: vamp-client/CapnpRRClient.h vamp-client/Loader.h
vamp-client/qt/test.o: vamp-support/RequestResponse.h
vamp-client/qt/test.o: vamp-support/PluginStaticData.h
vamp-client/qt/test.o: vamp-support/PluginConfiguration.h
vamp-client/qt/test.o: vamp-client/PluginClient.h
vamp-client/qt/test.o: vamp-client/PiperVampPlugin.h
vamp-client/qt/test.o: vamp-support/PluginStaticData.h
vamp-client/qt/test.o: vamp-support/StaticOutputDescriptor.h
vamp-client/qt/test.o: vamp-support/PluginConfiguration.h
vamp-client/qt/test.o: vamp-client/SynchronousTransport.h
vamp-client/qt/test.o: vamp-support/AssignedPluginHandleMapper.h
vamp-client/qt/test.o: vamp-support/PluginHandleMapper.h
vamp-client/qt/test.o: vamp-support/PluginOutputIdMapper.h
vamp-client/qt/test.o: vamp-support/DefaultPluginOutputIdMapper.h
vamp-client/qt/test.o: vamp-capnp/VampnProto.h vamp-capnp/piper.capnp.h
vamp-client/qt/test.o: vamp-support/PluginHandleMapper.h
vamp-client/qt/test.o: vamp-support/PluginOutputIdMapper.h
vamp-client/qt/test.o: vamp-support/RequestResponseType.h
vamp-capnp/piper.capnp.o: vamp-capnp/piper.capnp.h

=== debian/changelog ===
sonic-visualiser (3.3-1) unstable; urgency=medium

  * New upstream version 3.3
    * Refresh patches

  * B-D on libopusfile-dev
  * Refresh d/copyright(_hints)
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 12
  * Bump standards-version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jul 2019 21:23:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev,
@@ -23,6 +23,7 @@
  libjack-dev,
  liblo-dev,
  liblrdf0-dev,
+ libopusfile-dev,
  libmad0-dev,
  liboggz2-dev,
  libpulse-dev,
@@ -35,7 +36,7 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sonic-visualiser
